org.apache.fop.pdf

## Class PDFObjectNumber

- java.lang.Object
- - org.apache.fop.pdf.PDFObjectNumber

    public class PDFObjectNumber
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PDFObjectNumber()`
`PDFObjectNumber(int num)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumber()`
`void` `setDocument(PDFDocument doc)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDFObjectNumber

    public PDFObjectNumber()

#### PDFObjectNumber

    public PDFObjectNumber(int num)

### Method Detail

#### setDocument

    public void setDocument(PDFDocument doc)

#### getNumber

    public int getNumber()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`